## org.eclipse.emf.cdo.defs
Interface EDynamicPackageDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, EPackageDef, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EDynamicPackageDefImpl

    public interface EDynamicPackageDef

extends EPackageDef

A representation of the model object 'Dynamic CDO Package Def'.

The following features are supported:

- `Resource URI`

See Also:
  `CDODefsPackage.getEDynamicPackageDef()`

Method Summary
`java.lang.String` `getResourceURI()` Returns the value of the 'Resource URI' attribute.
`void` `setResourceURI(java.lang.String value)` Sets the value of the '`Resource URI`' attribute.

Methods inherited from interface org.eclipse.emf.cdo.defs.EPackageDef
`getNsURI, setNsURI`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResourceURI

    java.lang.String getResourceURI()

  Returns the value of the 'Resource URI' attribute.

  If the meaning of the 'Resource URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource URI' attribute.
  See Also:
    `setResourceURI(String)`, `CDODefsPackage.getEDynamicPackageDef_ResourceURI()`

### setResourceURI

    void setResourceURI(java.lang.String value)

  Sets the value of the '`Resource URI`' attribute.

  Parameters:
    `value` - the new value of the 'Resource URI' attribute.
  See Also:
    `getResourceURI()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.